petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetGlobalVector

sets a template global vector associated with the DMShell

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalVector(DM dm,Vec X)

Logically Collective on DM

### Input Arguments

| dm | - shell DM
| X | - template vector

### See Also

DMCreateGlobalVector(), DMShellSetMatrix(), DMShellSetCreateGlobalVector()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages